## org.eclipse.emf.spi.cdo
Interface CDOTransactionStrategy

    public interface CDOTransactionStrategy

TODO Simon: JavaDoc

Since:
  2.0

Field Summary
`static CDOTransactionStrategy` `DEFAULT`

Method Summary
`void` `commit(InternalCDOTransaction transaction, IProgressMonitor progressMonitor)` TODO Better use an `OMMonitor`?
`void` `rollback(InternalCDOTransaction transaction, CDOSavepoint savepoint)`
`CDOSavepoint` `setSavepoint(InternalCDOTransaction transaction)`
`void` `setTarget(InternalCDOTransaction transaction)`
`void` `unsetTarget(InternalCDOTransaction transaction)`

Field Detail

### DEFAULT

    static final CDOTransactionStrategy DEFAULT

Method Detail

### setTarget

    void setTarget(InternalCDOTransaction transaction)

### unsetTarget

    void unsetTarget(InternalCDOTransaction transaction)

### commit

    void commit(InternalCDOTransaction transaction,
                IProgressMonitor progressMonitor)
                throws java.lang.Exception

  TODO Better use an `OMMonitor`?

  Throws:
    `java.lang.Exception`

### rollback

    void rollback(InternalCDOTransaction transaction,
                  CDOSavepoint savepoint)

### setSavepoint

    CDOSavepoint setSavepoint(InternalCDOTransaction transaction)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.